# Module `druid.checkbox_group`

Checkbox group module

## Functions

init(node, callback[, click=node]) | Component init function
set_state(indexes) | Set checkbox group state
get_state() | Return checkbox group state

## Tables

Events | Component events
Fields | Component fields

## Functions

init(node, callback[, click=node])
  Component init function

  ### Parameters:

  - node node[] Array of gui node
  - callback function Checkbox callback
  - click node[] node Array of trigger nodes, by default equals to nodes (default node)
set_state(indexes)
  Set checkbox group state

  ### Parameters:

  - indexes bool[] Array of checkbox state
get_state()
  Return checkbox group state

  ### Returns:

  bool[] Array if checkboxes state

## Tables

Events
  Component events

  ### Fields:

  - on_checkbox_click druid_event On any checkbox click
Fields
  Component fields

  ### Fields:

  - checkboxes table Array of checkbox components

generated by LDoc 1.4.6 Last updated 2020-04-18 14:39:17